Index: /trunk/src_apollo/org/apollo/agents/MelodySearch.java
===================================================================
--- /trunk/src_apollo/org/apollo/agents/MelodySearch.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/agents/MelodySearch.java	(revision 318)
@@ -23,5 +23,5 @@
 import org.apollo.util.TextItemSearchResult;
 import org.apollo.widgets.LinkedTrack;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.apollo.widgets.TrackWidgetCommons;
 import org.expeditee.agents.SearchAgent;
@@ -54,5 +54,5 @@
 	
 	/** Either querry from raw audio or track widget: */
-	private SampledTrackEvo4 querryTrack = null; 
+	private SampledTrack querryTrack = null; 
 	
 	/** Either querry from raw audio  or track widget: */
@@ -113,6 +113,6 @@
 			}
 
-			if (iw != null && iw instanceof SampledTrackEvo4) {
-				querryTrack = (SampledTrackEvo4)iw;
+			if (iw != null && iw instanceof SampledTrack) {
+				querryTrack = (SampledTrack)iw;
 			}
 			
@@ -140,5 +140,5 @@
 			String linkedTrackPrefix = trackPrefix;
 			
-			trackPrefix += SampledTrackEvo4.class.getName();
+			trackPrefix += SampledTrack.class.getName();
 			linkedTrackPrefix += LinkedTrack.class.getName();
 			
@@ -250,5 +250,5 @@
 		
 						// should this widget be indexed?
-						if (res.containsData(SampledTrackEvo4.META_DONT_INDEX_AUDIO_TAG)) continue;
+						if (res.containsData(SampledTrack.META_DONT_INDEX_AUDIO_TAG)) continue;
 						
 						// get the local filename
@@ -258,7 +258,7 @@
 						// Parse meta
 						for (String data : res.data) {
-							if (data.startsWith(SampledTrackEvo4.META_LOCALNAME_TAG) &&
-									data.length() > SampledTrackEvo4.META_LOCALNAME_TAG.length()) {
-								localFilename = data.substring(SampledTrackEvo4.META_LOCALNAME_TAG.length());
+							if (data.startsWith(SampledTrack.META_LOCALNAME_TAG) &&
+									data.length() > SampledTrack.META_LOCALNAME_TAG.length()) {
+								localFilename = data.substring(SampledTrack.META_LOCALNAME_TAG.length());
 								if (trackName != null) break;
 							} else if (data.startsWith(TrackWidgetCommons.META_NAME_TAG) &&
Index: /trunk/src_apollo/org/apollo/audio/structure/AudioStructureModel.java
===================================================================
--- /trunk/src_apollo/org/apollo/audio/structure/AudioStructureModel.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/audio/structure/AudioStructureModel.java	(revision 318)
@@ -25,5 +25,5 @@
 import org.apollo.util.TextItemSearchResult;
 import org.apollo.widgets.LinkedTrack;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.apollo.widgets.TrackWidgetCommons;
 import org.expeditee.gui.DisplayIO;
@@ -286,5 +286,5 @@
 			String linkedTrackPrefix = trackPrefix;
 			
-			trackPrefix += SampledTrackEvo4.class.getName();
+			trackPrefix += SampledTrack.class.getName();
 			linkedTrackPrefix += LinkedTrack.class.getName();
 
@@ -325,7 +325,7 @@
 							data = data.trim();
 							
-							if (data.startsWith(SampledTrackEvo4.META_LOCALNAME_TAG) &&
-									data.length() > SampledTrackEvo4.META_LOCALNAME_TAG.length()) {
-								localFileName = data.substring(SampledTrackEvo4.META_LOCALNAME_TAG.length());
+							if (data.startsWith(SampledTrack.META_LOCALNAME_TAG) &&
+									data.length() > SampledTrack.META_LOCALNAME_TAG.length()) {
+								localFileName = data.substring(SampledTrack.META_LOCALNAME_TAG.length());
 							
 							} else if (data.startsWith(TrackWidgetCommons.META_INITIATIONTIME_TAG) 
@@ -589,6 +589,6 @@
 				for (InteractiveWidget iw : rootFrame.getInteractiveWidgets()) {
 					
-					if (iw instanceof SampledTrackEvo4) {
-						SampledTrackEvo4 sampledTrackWidget = (SampledTrackEvo4)iw;
+					if (iw instanceof SampledTrack) {
+						SampledTrack sampledTrackWidget = (SampledTrack)iw;
 
 						TrackGraphNode tinf = 
Index: /trunk/src_apollo/org/apollo/audio/util/FrameLayoutDaemon.java
===================================================================
--- /trunk/src_apollo/org/apollo/audio/util/FrameLayoutDaemon.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/audio/util/FrameLayoutDaemon.java	(revision 318)
@@ -27,5 +27,5 @@
 import org.apollo.util.NullableLong;
 import org.apollo.widgets.LinkedTrack;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.expeditee.gui.Browser;
 import org.expeditee.gui.DisplayIO;
@@ -331,6 +331,6 @@
 					AbstractTrackGraphNode abinf = null;
 
-					if (iw instanceof SampledTrackEvo4) {
-						SampledTrackEvo4 sampledTrackWidget = (SampledTrackEvo4)iw;
+					if (iw instanceof SampledTrack) {
+						SampledTrack sampledTrackWidget = (SampledTrack)iw;
 			
 
@@ -493,8 +493,8 @@
 					
 					int width = -1;
-					if (freespaceTrackToFormat instanceof SampledTrackEvo4) {
-						
-						long rt = ((SampledTrackEvo4)freespaceTrackToFormat).getRunningMSTimeFromRawAudio();
-						if (rt <= 0) rt = ((SampledTrackEvo4)freespaceTrackToFormat).getRunningMSTimeFromMeta();
+					if (freespaceTrackToFormat instanceof SampledTrack) {
+						
+						long rt = ((SampledTrack)freespaceTrackToFormat).getRunningMSTimeFromRawAudio();
+						if (rt <= 0) rt = ((SampledTrack)freespaceTrackToFormat).getRunningMSTimeFromMeta();
 						if (rt > 0) {
 							width = (int)(currentTimeline.getPixelPerTime() * rt);
@@ -674,6 +674,6 @@
 		for (InteractiveWidget iw : frame.getInteractiveWidgets()) {
 			
-			if (iw instanceof SampledTrackEvo4) {
-				SampledTrackEvo4 sampledTrackWidget = (SampledTrackEvo4)iw;
+			if (iw instanceof SampledTrack) {
+				SampledTrack sampledTrackWidget = (SampledTrack)iw;
 
 				// TrackGraphModel provides best data
Index: /trunk/src_apollo/org/apollo/audio/util/SoundDesk.java
===================================================================
--- /trunk/src_apollo/org/apollo/audio/util/SoundDesk.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/audio/util/SoundDesk.java	(revision 318)
@@ -25,5 +25,5 @@
 import org.apollo.mvc.SubjectChangedEvent;
 import org.apollo.widgets.LinkedTrack;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.expeditee.gui.Frame;
 
@@ -1015,5 +1015,5 @@
 	 * 		The channel ID... never null.
 	 */
-	public static String createPureLocalChannelID(SampledTrackEvo4 sampledTrackWidget) {
+	public static String createPureLocalChannelID(SampledTrack sampledTrackWidget) {
 		assert(sampledTrackWidget != null);
 		return createPureLocalChannelID(sampledTrackWidget.getLocalFileName());
Index: /trunk/src_apollo/org/apollo/gui/EditableSampledTrackGraphView.java
===================================================================
--- /trunk/src_apollo/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 318)
@@ -22,5 +22,5 @@
 import org.apollo.mvc.SubjectChangedEvent;
 import org.apollo.util.TrackNameCreator;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.expeditee.gui.Browser;
 import org.expeditee.gui.DisplayIO;
@@ -175,11 +175,11 @@
 				|| e.getButton() == MouseEvent.BUTTON3) && !FreeItems.getInstance().isEmpty())) {
 			
-			SampledTrackEvo4 floatingTrack = null;
+			SampledTrack floatingTrack = null;
 			
 			// Look for a floating track for injection of audio bytes
 			for (Item i : FreeItems.getInstance()) {
 				if (i instanceof WidgetCorner) {
-					if (((WidgetCorner)i).getWidgetSource() instanceof SampledTrackEvo4) {
-						floatingTrack = (SampledTrackEvo4)((WidgetCorner)i).getWidgetSource();
+					if (((WidgetCorner)i).getWidgetSource() instanceof SampledTrack) {
+						floatingTrack = (SampledTrack)((WidgetCorner)i).getWidgetSource();
 						break;
 					}
@@ -259,5 +259,5 @@
 
 	/**
-	 * Copies the selection into free space as a {@link SampledTrackEvo4}
+	 * Copies the selection into free space as a {@link SampledTrack}
 	 * 
 	 * @param e
@@ -273,5 +273,5 @@
 			if (targetFrame != null) {
 				
-				SampledTrackEvo4 twidget = SampledTrackEvo4.createFromMemory(
+				SampledTrack twidget = SampledTrack.createFromMemory(
 						copiedAudioRegion, 
 						getSampledTrackModel().getFormat(),
Index: /trunk/src_apollo/org/apollo/gui/FrameRenderPasses.java
===================================================================
--- /trunk/src_apollo/org/apollo/gui/FrameRenderPasses.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/gui/FrameRenderPasses.java	(revision 318)
@@ -15,5 +15,5 @@
 import org.apollo.widgets.LinkedTrack;
 import org.apollo.widgets.SampleRecorder;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.expeditee.gui.Browser;
 import org.expeditee.gui.FrameGraphics;
@@ -55,5 +55,5 @@
 
 			// Conceivable could have multiple
-			LinkedList<SampledTrackEvo4> toPaint = null;
+			LinkedList<SampledTrack> toPaint = null;
 			
 			for (Item i : FreeItems.getInstance()) {
@@ -61,13 +61,13 @@
 					InteractiveWidget iw = ((WidgetCorner)i).getWidgetSource();
 					
-					if (iw != null && iw instanceof SampledTrackEvo4) {
+					if (iw != null && iw instanceof SampledTrack) {
 						
 						if (toPaint == null) {
-							toPaint = new LinkedList<SampledTrackEvo4>();
+							toPaint = new LinkedList<SampledTrack>();
 						} else if (toPaint.contains(iw)) {
 							continue;
 						}
 						
-						toPaint.add((SampledTrackEvo4)iw);
+						toPaint.add((SampledTrack)iw);
 					}
 				}
@@ -75,5 +75,5 @@
 			
 			if (toPaint != null) {
-				for (SampledTrackEvo4 trackWidget : toPaint) {
+				for (SampledTrack trackWidget : toPaint) {
 					if (g.getClip() == null
 							|| g.getClip().intersects(trackWidget.getComponant().getBounds()))
@@ -198,5 +198,5 @@
 				if (iw != null) {
 					
-					if (iw != null && (iw instanceof SampledTrackEvo4 ||
+					if (iw != null && (iw instanceof SampledTrack ||
 							iw instanceof LinkedTrack || iw instanceof SampleRecorder)) {
 						
Index: /trunk/src_apollo/org/apollo/io/SampledAudioFileImporter.java
===================================================================
--- /trunk/src_apollo/org/apollo/io/SampledAudioFileImporter.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/io/SampledAudioFileImporter.java	(revision 318)
@@ -5,5 +5,5 @@
 import java.io.IOException;
 
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 import org.expeditee.gui.DisplayIO;
 import org.expeditee.importer.FileImporter;
@@ -23,5 +23,5 @@
 				DisplayIO.getCurrentFrame() == null) return null;
 		
-		SampledTrackEvo4 trackWidget = SampledTrackEvo4.createFromFile(
+		SampledTrack trackWidget = SampledTrack.createFromFile(
 				f,
 				DisplayIO.getCurrentFrame(), 
Index: /trunk/src_apollo/org/apollo/meldex/MeldexConversion.java
===================================================================
--- /trunk/src_apollo/org/apollo/meldex/MeldexConversion.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/meldex/MeldexConversion.java	(revision 318)
@@ -7,5 +7,5 @@
 
 import org.apollo.io.AudioIO;
-import org.apollo.widgets.SampledTrackEvo4;
+import org.apollo.widgets.SampledTrack;
 
 /**
@@ -25,5 +25,5 @@
 	 * 		If conversion fails.
 	 */
-	public static Melody toMelody(SampledTrackEvo4 trackWidget) throws IOException {
+	public static Melody toMelody(SampledTrack trackWidget) throws IOException {
 		
 		assert(trackWidget != null);
Index: /trunk/src_apollo/org/apollo/widgets/SampleRecorder.java
===================================================================
--- /trunk/src_apollo/org/apollo/widgets/SampleRecorder.java	(revision 317)
+++ /trunk/src_apollo/org/apollo/widgets/SampleRecorder.java	(revision 318)
@@ -17,4 +17,6 @@
 import java.io.IOException;
 import java.io.PipedInputStream;
+import java.util.LinkedList;
+import java.util.List;
 
 import javax.sound.sampled.AudioFormat;
@@ -49,8 +51,15 @@
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameGraphics;
+import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.items.ItemParentStateChangedEvent;
 import org.expeditee.items.Text;
 import org.expeditee.items.widgets.InteractiveWidget;
 
+/**
+ * Records sampled audio ... the cornerstone widget to Apollo.
+ * 
+ * @author Brook Novak
+ *
+ */
 public class SampleRecorder extends InteractiveWidget 
 	implements ActionListener, Observer, MultitrackLoadListener {
@@ -85,4 +94,6 @@
 	private boolean hasExplicityStopped = false;
 	
+	private boolean isSelfDestructable = false;
+	
 	private final static int BUTTON_HEIGHT = 50;
 	private final static int LABEL_HEIGHT = 30;
@@ -97,4 +108,8 @@
 	
 	private final static int RENDER_POINTS_PER_SECOND = 20; // how many points to render each second
+	
+	private final static String SELF_DESTRUCT_OFF_META = "permanent";
+	private final static String COUNTDOWN_META = "countdown=";
+	
 	
 	public SampleRecorder(Text source, String[] args) {
@@ -105,4 +120,10 @@
 				COUNTDOWN_SETTINGS_HEIGHT + BUTTON_HEIGHT + LABEL_HEIGHT + AnimatedSampleGraph.GRAPH_HEIGHT + (4 * VERT_SPACING));
 		
+		isSelfDestructable = !containsDataTrimmedIgnoreCase(SELF_DESTRUCT_OFF_META);
+		int countdown = getStrippedDataInt(COUNTDOWN_META, 0);
+		if (countdown < 0) countdown = 0;
+		else if (countdown > MAX_COUNTDOWN_TIME)
+			countdown = MAX_COUNTDOWN_TIME;
+
 		// Create gui layout
 		recordButton = new JButton();
@@ -133,5 +154,6 @@
 		countDownSpinner = new JSpinner(model);
 		countDownSpinner.setPreferredSize(new Dimension(50, COUNTDOWN_SETTINGS_HEIGHT));
-		
+		countDownSpinner.setValue(countdown);
+
 		countDownSpinnerLabel = new JLabel("Count down:");
 		countDownSpinnerLabel.setPreferredSize(new Dimension(AnimatedSampleGraph.GRAPH_WIDTH - 50, COUNTDOWN_SETTINGS_HEIGHT));
@@ -307,7 +329,9 @@
 				
 			} else {
-
-				// Remove this temporary widget
-				removeSelf();
+				
+				if (isSelfDestructable) {
+					// Remove this temporary widget
+					removeSelf();
+				}
 			
 				// Spawn an audio track using the actual bytes and audio format buffered from
@@ -326,5 +350,5 @@
 					 if (!shouldPlayback) initiationTime = -1;
 					 
-					 SampledTrackEvo4 trackWidget = SampledTrackEvo4.createFromMemory(
+					 SampledTrack trackWidget = SampledTrack.createFromMemory(
 							 audioByteReader.bufferedAudioBytes.toByteArray(), 
 							 audioByteReader.audioFormat, 
@@ -336,5 +360,16 @@
 							 null);
 					 
-					 targetFrame.addAllItems(trackWidget.getItems());
+					 if (isSelfDestructable) {
+						 
+						 targetFrame.addAllItems(trackWidget.getItems());
+		
+					 } else {
+						 
+						 FrameMouseActions.pickup(trackWidget.getItems());
+							
+						// Reset the state
+						setState(WidgetState.Ready, "Ready"); 
+						
+					 }
 	
 					 
@@ -379,5 +414,18 @@
 		return null;
 	}
-	
+
+	@Override
+	protected List<String> getData() {
+
+		List<String> data = new LinkedList<String>();
+		
+		if (isSelfDestructable) 
+			data.add(SELF_DESTRUCT_OFF_META);
+		
+		data.add(COUNTDOWN_META + countDownSpinner.getValue());
+
+		return data;
+	}
+
 	@Override
 	protected void onParentStateChanged(int eventType) {
